[Command 0]
CheckWndOpen    = {#32770|HP Coach Util}
OnSuccessGoto   = 100

[Command 1]
Command         = set caption
Caption         = HP Coach Util

;----------------------------------------------------------------------------
; Save the current PHONE.OBE file.

[Command 2]
Command         = copy
FromDir         = c:\windows\system\oobe\phone.obe
ToDir           = c:\hp\hpsequence
Overwrite       = Always

;----------------------------------------------------------------------------
; Restore the original PHONE.OBE file.

[Command 3]
Command         = copy
FromDir         = c:\hp\hpcoach\phone.obe
ToDir           = c:\windows\system\oobe
Overwrite       = Always

;--------------------------------------------------------------------
; Copy the color specific files to the wallpaper directory (if any).

[Command 4]
CheckFile       = Color%ARX_REGKEY:HKLM\Software\Hewlett-Packard\Colour%\colors.js
Command         = copy
FromDir         = Color%ARX_REGKEY:HKLM\Software\Hewlett-Packard\Colour%
ToDir           = %ARX_DIR_WINDOWS%\web\wallpaper\hpwallpaper
Overwrite       = Always

;--------------------------------------------------------------------
; Copy the wallpaper bitmap to the windows directory.

[Command 5]
CheckFile       = Color%ARX_REGKEY:HKLM\Software\Hewlett-Packard\Colour%\personal guide.bmp
Command         = copy
FromDir         = Color%ARX_REGKEY:HKLM\Software\Hewlett-Packard\Colour%\personal guide.bmp
ToDir           = %ARX_DIR_WINDOWS%
Overwrite       = Always

;--------------------------------------------------------------------
; Run the color specific reg file (if any).

[Command 6]
CheckFile       = Color%ARX_REGKEY:HKLM\Software\Hewlett-Packard\Colour%\colors.reg
Command         = run
RunFile         = %ARX_DIR_WINDOWS%\regedit.exe
CmdLine         = /s c:\hp\hpcoach\Color%ARX_REGKEY:HKLM\Software\Hewlett-Packard\Colour%\colors.reg
WaitUntilClosed = 1

;--------------------------------------------------------------------
; Set the wallpaper and turn on font smoothing.

[Command 7]
CheckFile       = %ARX_DIR_WINDOWS%\web\wallpaper\hpwallpaper\hpwp.htm
Command         = change desktop
BkgBitmap       = %ARX_DIR_WINDOWS%\web\wallpaper\hpwallpaper\hpwp.htm
BkgBitmapOpt    = tile
SetSysInfo      = 75 1 3

;--------------------------------------------------------------------
; Set the background color.

[Command 8]
CheckReg        = HKLM\SOFTWARE\Hewlett-Packard\HPOOBE
CheckRegKey     = BkgColor
Command         = change desktop
BkgColor        = %ARX_REGKEY:HKLM\Software\Hewlett-Packard\HPOOBE\BkgColor%

;--------------------------------------------------------------------
; Run country setup stuff (if the command file exists).

[Command 9]
CheckFile       = c:\hp\hpcoach\country\country.cmd
Command         = run
RunFile         = hpcoach.exe
CmdLine         = c:\hp\hpcoach\country\country.cmd
WaitUntilClosed = 1

;====================================================================
; Change the desktop wallpaper if no enctutorial.exe.

[Command 10]
CheckReg        = HKLM\Software\Microsoft\Windows\CurrentVersion
CheckRegKey     = ProgramFilesDir
CheckFile       = %ARX_REGKEY:HKLM\Software\Microsoft\Windows\CurrentVersion\ProgramFilesDir%\Easy Internet\enctutorial.exe
OnSuccessGoto   = 95

[Command 11]
Command         = copy
FromDir         = c:\hp\hpcoach\options.js
ToDir           = %ARX_DIR_WINDOWS%\web\wallpaper\hpwallpaper
Overwrite       = Always

OnSuccessGoto   = 95
OnFailureGoto   = 95

;--------------------------------------------------------------------
; Remove FirstBoot key

[Command 95]
;Command         = run
;RunFile         = %ARX_DIR_WINDOWS%\regedit.exe
;CmdLine         = /s c:\hp\hpcoach\DelOOBEKey.reg
